Bug 1262465 - Update git-bz to latest upstream commit
Update git-bz to latest upstream commit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: git-bz (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 15:25 EDT by Yaakov Selkowitz
Modified: 2015-10-11 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0-0.4.20150910gite17bbae.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-13 22:20:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-09-11 15:25:28 EDT
Ran into this today:

$ git bz attach -e 1262457 HEAD
Traceback (most recent call last):
  File "/usr/bin/git-bz", line 2657, in <module>
    do_attach(*args)
  File "/usr/bin/git-bz", line 2040, in do_attach
    handle = BugHandle.parse_or_die(bug_reference)
  File "/usr/bin/git-bz", line 580, in parse_or_die
    return BugHandle.parse(str)
  File "/usr/bin/git-bz", line 567, in parse
    https = tracker_uses_https(tracker)
  File "/usr/bin/git-bz", line 427, in tracker_uses_https
    config = get_config(tracker)
  File "/usr/bin/git-bz", line 420, in get_config
    cached_config.update(get_git_config(tracker))
NameError: global name 'get_git_config' is not defined

This was just fixed upstream earlier this week:

http://git.fishsoup.net/cgit/git-bz/commit/?id=e17bbae
Comment 1 Fedora Update System 2015-09-11 15:53:05 EDT
git-bz-0-0.4.20150910gite17bbae.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15656
Comment 2 Fedora Update System 2015-09-11 15:54:34 EDT
git-bz-0-0.4.20150910gite17bbae.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15657
Comment 3 Fedora Update System 2015-09-12 17:25:09 EDT
git-bz-0-0.4.20150910gite17bbae.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update git-bz'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15656
Comment 4 Fedora Update System 2015-09-13 00:20:11 EDT
git-bz-0-0.4.20150910gite17bbae.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update git-bz'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15657
Comment 5 Fedora Update System 2015-09-13 22:20:31 EDT
git-bz-0-0.4.20150910gite17bbae.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-11 12:05:10 EDT
git-bz-0-0.4.20150910gite17bbae.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.